/**
******************************************************************************
* @file    			main.c
* @author  			WIZnet Software Team
* @version 			V1.0
* @date    			2015-12-12
* @brief   			3.5.0汾⽨Ĺģ
* @attention  	
*								Ϊԣ뱣֤W5500߿ԷInternet
* 							ԶȡIPַҲʹĬָIPַ
******************************************************************************
*/ 

#include <stdio.h>
#include <string.h>

#include "stm32f10x.h"

#include "bsp_usart1.h"
#include "bsp_i2c_ee.h"
#include "bsp_i2c_gpio.h"
#include "bsp_led.h"

#include "w5500.h"
#include "W5500_conf.h"
#include "socket.h"
#include "utility.h"
/*appͷļ*/
#include "dhcp.h"
#include "ntp.h"

int main(void)
{ 	
    
	systick_init(72);				            /*ʼSystickʱ*/
	USART1_Config(); 				            /*ʼͨ:115200@8-n-1*/
	i2c_CfgGpio();				    	        /*ʼeeprom*/	
	gpio_for_w5500_config();	         	/*ʼMCU*/
	reset_w5500();					            /*ӲλW5500*/
	set_w5500_mac();                    /*MACַ*/
	
  socket_buf_init(txsize, rxsize);    /*ʼ8SocketķͽջС*/
	
	printf(" NTPIPΪ:%d.%d.%d.%d\r\n",ntp_server_ip[0],ntp_server_ip[1],ntp_server_ip[2],ntp_server_ip[3]);
	printf(" NTP˿Ϊ:%d \r\n",ntp_port);
	ntp_client_init();                  /*NTPʼ*/ 
	while(1)
	{ 	
		do_dhcp();                        /*DHCPȡIPַ*/
		if(dhcp_ok==1)										/*ɹȡIPַ*/
		{
			do_ntp_client();
		} 
	}

} 



